<div class="content mt-3">
  <div class="animated">
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="card-header">
            <strong class="card-title">Inventaires</strong>
          </div>
          <div class="card-body">

            <mat-form-field>
              <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Rechercher">
            </mat-form-field>

            <div class="mat-elevation-z2">
              <table mat-table [dataSource]="dataSource" matSort>
                <!-- Date Column -->
                <ng-container matColumnDef="date">
                  <th mat-header-cell *matHeaderCellDef class="tbl-cell-15">Date</th>
                  <td mat-cell *matCellDef="let inventory" class="tbl-cell-5">{{inventory.date | date}}</td>
                </ng-container>

                <!-- Nom Column -->
                <ng-container matColumnDef="name">
                  <th mat-header-cell *matHeaderCellDef class="tbl-cell-20">Nom</th>
                  <td mat-cell *matCellDef="let inventory" class="tbl-cell-20">{{inventory.name}}</td>
                </ng-container>

                <!-- Description Column -->
                <ng-container matColumnDef="description">
                  <th mat-header-cell *matHeaderCellDef class="tbl-cell-30">Description</th>
                  <td mat-cell *matCellDef="let inventory" class="tbl-cell-30">{{inventory.description == null ? 'N/A' :
                    inventory.description}}</td>
                </ng-container>

                <!-- Author Column -->
                <ng-container matColumnDef="author">
                  <th mat-header-cell *matHeaderCellDef class="tbl-cell-20">Auteur</th>
                  <td mat-cell *matCellDef="let inventory" class="tbl-cell-20">{{inventory.author.firstName + ' ' +
                    inventory.author.lastName}}</td>
                </ng-container>


                <!-- Alerte Column -->
                <ng-container matColumnDef="alert">
                  <th mat-header-cell *matHeaderCellDef class="tbl-cell-5 text-center">Alerte</th>
                  <td mat-cell *matCellDef="let inventory" class="tbl-cell-5 text-center">
                    <div *ngIf="inventory.outOfStock; else elseBlock">
                      <i class="fa fa-warning text-warning"></i><span hidden>warning</span>
                    </div>
                    <ng-template #elseBlock>
                      <i class="fa fa-check text-success"></i><span hidden>ok</span>
                    </ng-template>
                  </td>
                </ng-container>

                <!-- Actions Column -->
                <ng-container matColumnDef="actions">
                  <th mat-header-cell *matHeaderCellDef class="tbl-cell-10  text-center">Actions</th>
                  <td mat-cell *matCellDef="let inventory" class="tbl-cell-10 text-center">
                    <i (click)="onShowInventory(inventory)" data-toggle="modal" data-target="#invModal" class="icon-click fa fa-eye"></i>&nbsp;&nbsp;&nbsp;
                    <i (click)='onExportInventory(inventory)' class="icon-click fa fa-share"></i>
                  </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let inventory; columns: displayedColumns;">
                </tr>
              </table>
              <mat-paginator [hidePageSize]="true" [pageSizeOptions]="[5]" showFirstLastButtons></mat-paginator>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
